from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAnyCompare(XInterface, Protocol):
    def compare(self, Any1: Any, Any2: Any) -> int: ...
